__author__ = 'hussmann'

import pygame
from pygame.locals import *
from sys import exit

pygame.init()

red = pygame.color.Color("red")
white = pygame.color.Color("white")
scr_w = 640
scr_h = 480
scr = pygame.display.set_mode((scr_w, scr_h), 0, 32)

xstart = 40
xend = 600
n = 80 #Number of steps
dx = (xend - xstart)/n

i = 0
x = xstart
y = 240

while True:
    for event in pygame.event.get():
        if event.type == QUIT:
            exit()
    if i <= n:
        pygame.draw.rect(scr, white, Rect((0, 0),(scr_w, scr_h)))
        pygame.draw.circle(scr, red, (round(x), y), 40)
        i += 1
        x = xstart + dx*i

    pygame.display.update()
